/* Starts GoServe and restarts it if it has crashed (with logging)  */
/* Parameter is complete filename of log file                       */
/* ================================================================ */
/* Written by by Michael Warmuth for OS/2 Forum Austria.            */
/* (E-mail: Michael.Warmuth@wu-wien.ac.at).                         */
/* For using and copiing see the file copyright.doc.                */

parse arg log_file

if stream(log_file,'c','query exists')='' then do
   call lineout log_file, '       Local'
   call lineout log_file, '  Date       Time      RC          Info'
   call lineout log_file, '============================================='
end  /* Do */

call lineout log_file, date('u') '|' time() '|' right('',4) '|' left('starting GoServe',16)
call stream log_file, 'c', 'close'

retc = start_goserve()

do while retc\=0
   call lineout log_file, date('u') '|' time() '|' right(retc,4) '|' left('GoServe crashed',16)
   call stream log_file, 'c', 'close'
   retc = start_goserve()
end /* do */

call lineout log_file, date('u') '|' time() '|' right(retc,4) '|' left('GoServe ended',16)
call stream log_file, 'c', 'close'

'exit'


/* Start GoServe and return return code if it fails */
start_goserve: procedure
'@goserve http quietfail'
return rc
